// obj-hilo.cpp - Clase CHilo
#include <iostream>
#include "hilo.h"
using namespace std;

class Hilo : public CHilo
{
  public:
    Hilo::Hilo(string nombre) : CHilo(nombre) {}
    
    void *Hilo::fnHilo()
    {
      cout << "hilo " << obtener_nombre()
           << ", ID: " << obtener_id() << endl;
      return 0;
    }
};

int main()
{
  Hilo hilo("0"); // objeto hilo de nombre "0"
  try
  {
    // Iniciar el hilo
    hilo.iniciar();
    // Esperar a que el hilo finalice su ejecución
    hilo.esperar_finalizacion();
  }
  catch(string& msj)
  {
    cout << msj << endl;
  }
  
  system("pause");
}

